/**
 * 项目部管理页面 API
 */
import request from '@/utils/request'

/** 项目部列表查询 */
export const queryProjDeptListApi = (data) => {
  return request.get('/base/tbProDepart/list', {
    params: data
  })
}

/** 项目部名称查询 */
export const queryProjDeptNameApi = (data) => {
  return request.get('/base/tbProDepart/getList', {
    params: data
  })
}

/** 项目部类型查询 */
export const queryProjDeptTypeApi = (data) => {
  return request.get('/base/tbProDepart/getDataList', {
    params: data
  })
}

/** 各省份查询 */
export const queryProvincesApi = (data) => {
  return request.get('/base/tbProDepart/getAreaList', {
    params: data
  })
}

/** 新增项目部 */
export const addProjDeptApi = (data) => {
  return request.post('/base/tbProDepart', data)
}

/** 修改项目部 */
export const editProjDeptApi = (data) => {
  return request.put('/base/tbProDepart', data)
}

/** 删除项目部 */
export const deleteProjDeptApi = (id) => {
  return request.delete(`/base/tbProDepart/${id}`)
}
